Update Campaign Restriction
curl --request PATCH \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions/{restriction-id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"limit": 123
}'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions/{restriction-id}"
payload = { "limit": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 123})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions/{restriction-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Update Campaign Restriction
Endpoint to update a campaign restriction.
PATCH
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
restrictions
/
{restriction-id}
Update Campaign Restriction
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The ID of the campaign.
The ID of the restriction.
Corps
application/json
Réponse
Successful Response
Cette page vous a-t-elle été utile ?
⌘I